OpenMesh: DecimaterViewerWidget Class Reference

| OpenMesh

Public Types | Public Member Functions | Protected Slots | Protected Member Functions | List of all members
DecimaterViewerWidget Class Reference
Inheritance diagram for DecimaterViewerWidget:
[legend]
Collaboration diagram for DecimaterViewerWidget:
[legend]

## Public Types
typedef MeshViewerWidgetDecimaterBase | inherited_t
typedef Decimater::DecimaterT< mesh_t > | decimater_t
typedef Decimater::ModQuadricT< mesh_t >::Handle | mod_quadric_t
typedef Decimater::ModNormalFlippingT< mesh_t >::Handle | mod_nf_t
typedef std::auto_ptr< decimater_t > | decimater_o
Public Types inherited from MeshViewerWidgetT< M >
typedef M | Mesh
typedef OpenMesh::StripifierT< Mesh > | MyStripifier
Public Types inherited from QGLViewerWidget
typedef QGLWidget | Super

## Public Member Functions
| DecimaterViewerWidget (QWidget *_parent=0)
| default constructor
| ~DecimaterViewerWidget ()
| destructor
bool | open_mesh (const char *_filename, OpenMesh::IO::Options _opt) override
| open mesh
Public Member Functions inherited from MeshViewerWidgetT< M >
| MeshViewerWidgetT (QWidget *_parent=0)
| default constructor
| ~MeshViewerWidgetT ()
| destructor
virtual bool | open_texture (const char *_filename)
| load texture
bool | set_texture (QImage &_texsrc)
void | enable_strips ()
void | disable_strips ()
Mesh & | mesh ()
const Mesh & | mesh () const
Public Member Functions inherited from QGLViewerWidget
| QGLViewerWidget (QWidget *_parent=0)
void | set_scene_pos (const OpenMesh::Vec3f &_center, float _radius)
void | view_all ()
QAction * | add_draw_mode (const std::string &_s)
| add draw mode to popup menu, and return the QAction created
void | del_draw_mode (const std::string &_s)
| delete draw mode from popup menu
const std::string & | current_draw_mode () const
float | radius () const
const OpenMesh::Vec3f & | center () const
const GLdouble * | modelview_matrix () const
const GLdouble * | projection_matrix () const
float | fovy () const
QAction * | findAction (const char *name)
void | addAction (QAction *action, const char *name)
void | removeAction (const char *name)
void | removeAction (QAction *action)

## Protected Slots
void | animate (void)

## Protected Member Functions
virtual void | keyPressEvent (QKeyEvent *_event) override
Protected Member Functions inherited from MeshViewerWidgetT< M >
virtual void | draw_scene (const std::string &_draw_mode) override
| inherited drawing method
virtual void | draw_openmesh (const std::string &_drawmode)
| draw the mesh
void | glVertex (const typename Mesh::VertexHandle _vh)
void | glVertex (const typename Mesh::Point &_p)
void | glNormal (const typename Mesh::VertexHandle _vh)
void | glTexCoord (const typename Mesh::VertexHandle _vh)
void | glColor (const typename Mesh::VertexHandle _vh)
void | glNormal (const typename Mesh::FaceHandle _fh)
void | glColor (const typename Mesh::FaceHandle _fh)
void | glMaterial (const typename Mesh::FaceHandle _fh, int _f=GL_FRONT_AND_BACK, int _m=GL_DIFFUSE)
void | compute_strips (void)
Protected Member Functions inherited from QGLViewerWidget
double | performance (void)
void | setDefaultMaterial (void)
void | setDefaultLight (void)
virtual void | mousePressEvent (QMouseEvent *)
virtual void | mouseReleaseEvent (QMouseEvent *)
virtual void | mouseMoveEvent (QMouseEvent *)
virtual void | wheelEvent (QWheelEvent *)

## Additional Inherited Members
Protected Attributes inherited from MeshViewerWidgetT< M >
bool | f_strips_
GLuint | tex_id_
GLint | tex_mode_
OpenMesh::IO::Options | opt_
Mesh | mesh_
MyStripifier | strips_
bool | use_color_
bool | show_vnormals_
bool | show_fnormals_
float | normal_scale_
OpenMesh::FPropHandleT< typename Mesh::Point > | fp_normal_base_

The documentation for this class was generated from the following files:

- OpenMesh/Apps/Decimating/DecimaterViewerWidget.hh
- OpenMesh/Apps/Decimating/DecimaterViewerWidget.cc